Rated 5 out of 5 stars

One of the best extensions out there, but not compatible with the current version of FF.

To the developer...please, please, please adjust for FF3.